Skip to content

Get Sector by Slug

GET
/api/v1/sectors/by-slug/{slug}
curl --request GET \
--url https://api.spartanauth.com/api/v1/sectors/by-slug/example

Returns the details of a sector by its unique slug. Requires the user to be an admin of the sector or the default sector.

slug
required
string

A successful response.

Media type application/json
object
sectorID
string
name
string
domain
string
isDefault
boolean
allowedOrigins
Array<string>
slug
string
Example generated
{
"sectorID": "example",
"name": "example",
"domain": "example",
"isDefault": true,
"allowedOrigins": [
"example"
],
"slug": "example"
}

An unexpected error response.

Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}